#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - sane-iscan installation
#
# Creation   :  2019-03-09 holbru
# Last update:  $Id: install.sh 105911 2023-08-07 16:49:31Z hbfl $
#
# Copyright (c) 2019-2021 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=sane-iscan

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
# change into sane.d
cd /etc/sane.d
# do not overwrite user conf
_conf=epkowa.conf

if [ ! -f ${_conf} ]
then
    /usr/bin/cp /usr/share/sane/configs/${_conf} ${_conf}
fi

if [ -x  /usr/bin/systemd-hwdb ]
then
    /usr/bin/systemd-hwdb update
else
    /usr/bin/udevadm hwdb --update
fi
udevadm control --reload >/dev/null 2>&1

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
